在使用内容检测API Python SDK前,您需要通过pip安装相关的依赖。

前提条件

  • 使用Python 2.x、Python 3.x。
  • 确保源服务器已安装Python PIP依赖库。
    以安装python3-pip依赖库为例,Linux部分发行版的安装命令如下。
    • CentOS、Red Hat Enterprise Linux:
      yum -y install python3-pip
    • Ubuntu、Debian:
      apt-get -y install python3-pip
    • OpenSUSE、SUSE:
      zypper -n install python3-pip

安装SDK

  • 如果您使用Python 2.x,执行以下命令,安装阿里云SDK核心库:
    sudo pip install aliyun-python-sdk-core==2.13.10
    pip install -v aliyun-python-sdk-green==3.6.5 //安装指定的版本。
    pip install oss2 //安装OSS依赖包。
  • 如果您使用Python 3.x,执行以下命令,安装阿里云SDK核心库:
    sudo pip install aliyun-python-sdk-core-v3==2.13.10
    pip install -v aliyun-python-sdk-green==3.6.5 //安装指定的版本。
    pip install oss2 //安装OSS依赖包。
  • 如果您需要检测本地文件或者二进制文件,请下载并在项目中引入Extension.Uploader工具类